Skip to main content

Update webhook

Method PUT

https://my.easyweek.io/api/public/v2/webhooks/{webhook_id}

Description: This endpoint updates a webhook. Only the fields present in the body are changed.

Example Request

curl -i -X PUT \
https://my.easyweek.io/api/public/v2/webhooks/{webhook_id} \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'

Request body

{
"description": "Updated webhook",
"events": ["booking-created", "booking-canceled", "booking-rescheduled"],
"success_statuses": [200]
}

Path Parameters

  • webhook_id (integer, required): The numeric identifier of the webhook to update.

Body Parameters

Any subset of the Create webhook fields (url, method, events, success_statuses, headers, parameters, send_notification, emails, description).

Example Response

{
"id": 12,
"url": "https://example.com/hooks/easyweek",
"method": "post",
"description": "Updated webhook",
"success_statuses": "200",
"status": "enabled",
"send_notification": false,
"emails": "",
"events": ["booking-created", "booking-canceled", "booking-rescheduled"],
"parameters": [],
"headers": [],
"tries": 3,
"timeout": 10
}